package com.winhc.repal.cloud.dto;

import com.winhc.common.model.base.DTOPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description: 查询财产线索动态
 * @author: Anakin
 * @date 2020.12.17 16:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel(description = "查询财产线索动态 DTO")
public class QueryESFinanceDynamicDTO extends DTOPage {
    @ApiModelProperty("企业名称列表|企业CID列表")
    private List<String> keyWords;
    @ApiModelProperty("财产流向，0 -> 流入 1 -> 流出")
    private String flowType;
    @ApiModelProperty("风险等级，1->低级 2->中级 3->高级")
    private String infoRiskLevel;
    @ApiModelProperty("线索类型" +
            "1  -> 新增破产公告\n" +
            "2  -> 注册资本上升\n" +
            "3  -> 新增招标信息\n" +
            "4  -> 软件著作权\n" +
            "5  -> 作品著作权\n" +
            "6  -> 有恢复执行案件即将开庭\n" +
            "7  -> 失信信息移除\n" +
            "8  -> 出质了持有股权\n" +
            "9  -> 有新的融资\n" +
            "10 -> 新增了股东\n" +
            "11 -> 股东退出\n" +
            "12 -> 购买了新的土地\n" +
            "13 -> 抵押了公司土地\n" +
            "14 -> 资产被抵押\n" +
            "15 -> 新增专利信息\n" +
            "16 -> 新增商标信息\n" +
            "17 -> 被执行人信息移除\n" +
            "18 -> 限制高消费移除\n" +
            "19 -> 有恢复执行案件\n" +
            "20 -> 新增胜诉案件")
    private String type;
    @ApiModelProperty("开始时间")
    private String dateFrom;
    @ApiModelProperty("结束时间")
    private String dateEnd;
    @ApiModelProperty("入库开始时间")
    private String createDateFrom;
    @ApiModelProperty("入库结束时间")
    private String createDateEnd;
}
