package com.winhc.repal.cloud.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @description WinCoinOrderForm DTO对象
 * @author Generator
 * @date 2020-09-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value="WinCoinOrderForm DTO对象", description="订单表")
public class WinCoinOrderFormDTO {

    private String productId;

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "活动代码")
    private String productCode;

    @ApiModelProperty(value = "商品数量")
    private Integer productCount;

    @ApiModelProperty(value = "手机号")
    private String mobileNo;

    @ApiModelProperty(value = "交易金额,BigDecimal")
    private BigDecimal transAmt;

    @ApiModelProperty(value = "订单内容")
    private String orderContent;

    @ApiModelProperty(value = "支付方式0赢币1支付宝2微信3兑换券4现金账户")
    private String payMode;

    @ApiModelProperty(value = "下单时间")
    private LocalDateTime orderTime;

    @ApiModelProperty(value = "付款时间")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "订单完成(0), 待支付(1), 支付成功(2),   需退款(R), 已删除(D).已退款(G),已关闭(C)")
    private String status;

    @ApiModelProperty(value = "外部ID")
    private String foreignId;

    @ApiModelProperty(value = "")
    private BigDecimal payAmt;

    @ApiModelProperty(value = "0:未开票 1:已开票 2：无需开票")
    private String invoiceStatus;

    @ApiModelProperty(value = "")
    private Long invoiceId;

    @ApiModelProperty(value = "0VIP订单1提现订单2报告订单")
    private String orderType;

    @ApiModelProperty(value = "订单发货JSON")
    private String goodsJson;

    @ApiModelProperty(value = "提现订单账户类型 '0' 支付宝 ，'1' 微信")
    private String accountType;

    @ApiModelProperty(value = "促销代码")
    private String promotionCode;

    @ApiModelProperty(value = "主图")
    private String mainPicUrl;

    @ApiModelProperty(value = "商品快照JSON")
    private String productSnapshot;

    @ApiModelProperty(value = "兑换券码/优惠券码")
    private String voucherCode;

    @ApiModelProperty(value = "地址详情")
    private String address;

    @ApiModelProperty(value = "邮件地址")
    private String email;

    @ApiModelProperty(hidden = true)
    private Boolean newVersion;

    @ApiModelProperty(value = "规格")
    private String specification;


}
