package com.winhc.repal.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalBillDiagnosis实体对象
 * @author Generator
 * @date 2022-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_BILL_DIAGNOSIS")
@ApiModel(value="RepalBillDiagnosis实体对象", description="回款宝-账款评分记录表")
public class RepalBillDiagnosis implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账单id")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "评估等级")
    @TableField("DIAGNOSIS_GRADE")
    private String diagnosisGrade;

    @ApiModelProperty(value = "评估分值")
    @TableField("DIAGNOSIS_SCORE")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "评估时间")
    @TableField("DIAGNOSIS_DATETIME")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "评估状态：0诊断中；1诊断完成；9诊断失败")
    @TableField("DIAGNOSIS_STATUS")
    private Integer diagnosisStatus;

    @ApiModelProperty(value = "评估详情")
    @TableField("DIAGNOSIS_DETAIL")
    private String diagnosisDetail;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "履债评估结果id")
    @TableField("BIZ_ID")
    private Long bizId;


}
