package com.winhc.repal.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalChangeRecord实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_CHANGE_RECORD")
@ApiModel(value="RepalChangeRecord实体对象", description="回款宝账款收付款记录表")
public class RepalChangeRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账本id")
    @TableField("REPAL_BOOK_ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账款id")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "剩余金额=preMoney-receiptMoney")
    @TableField("AFTER_MONEY")
    private BigDecimal afterMoney;

    @ApiModelProperty(value = "收回金额/已付金额")
    @TableField("TRANS_MONEY")
    private BigDecimal transMoney;

    @ApiModelProperty(value = "收回前金额/应付前金额")
    @TableField("PRE_MONEY")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "操作人id")
    @TableField("OPER_USER_ID")
    private Long operUserId;

    @ApiModelProperty("记录日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate recordDate;

    @ApiModelProperty(value = "操作人name")
    @TableField("OPER_USER_NAME")
    private String operUserName;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @TableField("TIME_MODIFIED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;


}
