package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description ThirdPartyAccount实体对象
 * @author Generator
 * @date 2022-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("THIRD_PARTY_ACCOUNT")
@ApiModel(value="ThirdPartyAccount实体对象", description="第三方授权服务表")
public class ThirdPartyAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "第三方服务商类型：1飞书；2钉钉")
    @TableField("THIRD_PARTY_TYPE")
    private String thirdPartyType;

    @ApiModelProperty(value = "应用APP_ID：0回款宝")
    @TableField("APP_ID")
    private String appId;

    @ApiModelProperty(value = "应用OPEN_ID")
    @TableField("OPEN_ID")
    private String openId;

    @ApiModelProperty(value = "用户UNION_ID")
    @TableField("UINION_ID")
    private String uinionId;

    @ApiModelProperty(value = "用户授权手机号")
    @TableField("MOBILE_NO")
    private String mobileNo;

    @ApiModelProperty(value = "第三方USER_ID")
    @TableField("THIRD_PARTY_USER_ID")
    private String thirdPartyUserId;

    @ApiModelProperty(value = "用户授权信息JSON")
    @TableField("USER_INFO_JSON")
    private String userInfoJson;

    @ApiModelProperty(value = "是否删除 0否 1是")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "组织ID，从第三方获取")
    @TableField("GROUP_ID")
    private String groupId;

    @ApiModelProperty(value = "组织name")
    @TableField("GROUP_NAME")
    private String groupName;

    @ApiModelProperty(value = "组织头像")
    @TableField("GROUP_AVART")
    private String groupAvart;

    @ApiModelProperty(value = "是否管理员")
    @TableField("IS_ADMIN")
    private String isAdmin;

    @ApiModelProperty(value = "头像")
    @TableField("AVATAR")
    private String avatar;

    @ApiModelProperty(value = "userName")
    @TableField("USER_NAME")
    private String userName;


}
