package com.winhc.repal.enums;

/**
 * @Description: 账款阶段
 * @Author: xda
 * @Date: 2022/4/14 16:30
 */
public enum RepalBillStageEnum {

    /**
     *  账款阶段，1未起诉，2已起诉，3已申请执行，4终结本次执行
     */
    NON_PROSECUTE(1, "未起诉"),
    PROSECUTE_ING(2, "已起诉"),
    APPLY_EXECUTE(3, "已申请执行"),
    FINAL_EXECUTE(4, "终结本次执行");

    private final Integer code;

    private final String msg;

    RepalBillStageEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

    public static String getMsgByCode(Integer code) {
        for (RepalBillStageEnum e : RepalBillStageEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getMsg();
            }
        }
        return null;
    }
}
