package com.winhc.repal.model.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @Description: BillPageDTO
 * @Author: xda
 * @Date: 2022/4/29 16:01
 */
@Data
public class BillPageBO {

    @ApiModelProperty(value = "组织id", required = true)
    private Long repalGroupId;

    @ApiModelProperty(value = "账本id", required = true)
    private Long repalBookId;

    @ApiModelProperty("排序类型。1日期升序。2日期降序。3总金额升序。4总金额降序")
    private Integer sortedType;

    @ApiModelProperty(value = "开始日期yyyy-MM-dd,string")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期yyyy-MM-dd,string")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款逾期状态，[1]进行中，[2]即将逾期(7天内)，[3]已逾期.[4]已结清。[5]已终止")
    private Integer overdueStatus;

    @ApiModelProperty(value = "[1]风险预警。[2]财产提醒。[3]评级动态。[4]逾期动态")
    private Integer dynamicType;

    @ApiModelProperty(value = "评估等级，[ABCD]")
    private String diagnosisGrade;

    @ApiModelProperty(value = "账款类型。[1]应收，[2]应付", required = true)
    private Integer repalBillType;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "是否查询账本下所有")
    private Boolean allFlag;

    @ApiModelProperty(value = "关键词")
    private String keyword;

}
