package com.winhc.repal.model.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Description: HomeReceivableBO
 * @Author: xda
 * @Date: 2022/5/6 18:14
 */
@Data
@ApiModel("首页应收/应付vo")
@AllArgsConstructor
@NoArgsConstructor
public class HomeReceivableBO {

    @ApiModelProperty("应收/应付金额")
    private BigDecimal billMoney;

    @ApiModelProperty("应收/应付数量")
    private Integer billCount;

    @ApiModelProperty("已逾期金额")
    private BigDecimal overdueTotal;

    @ApiModelProperty("逾期笔数")
    private Integer overdueTotalCount;

    @ApiModelProperty("总账款金额")
    private BigDecimal totalBillMoney;

    @ApiModelProperty("已收/已付金额")
    private BigDecimal receiptMoney;

}
