package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description: RepalOrderVO
 * @Author: xda
 * @Date: 2022/5/19 20:00
 */
@Data
@ApiModel("回款宝订单")
public class RepalOrderVO {

    @ApiModelProperty("订单类型 1短信 2律师函 3咨询 4诉讼 5其他")
    private Integer orderType;

    @ApiModelProperty("订单状态。订单完成(0),支付成功/进行中(2),已关闭(C)")
    private String status;

    @ApiModelProperty("描述")
    private String serviceDesc;

    @ApiModelProperty("标的")
    private String caseAmtStr;

    @ApiModelProperty("欠款对象/客户name")
    private String custName;

    @ApiModelProperty("联系人")
    private String linkman;

    @ApiModelProperty("订单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime orderTime;

    @ApiModelProperty("法律服务大类")
    private Integer lawyerServiceType;

    @ApiModelProperty("法律服务子类")
    private Integer lawyerServiceSubType;

    @ApiModelProperty("法律服务类型")
    private Integer serviceType;

    @ApiModelProperty("orderId")
    private String orderId;

    @ApiModelProperty("短信催款内容")
    private String smsDesc;

    @ApiModelProperty("案件阶段")
    private Integer caseStage;

    @ApiModelProperty(value = "发送联系人列表")
    private List<RepalLinkVO> links;



}
